Next Commerce
API ReferenceFulfillment

Shipping Methods List

Retrieve a list of all configured shipping methods.

GET
/shipping-methods/
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Query Parameters

cursor?string

The pagination cursor value.

Header Parameters

X-29next-API-Version*"2024-04-01"
Default"2024-04-01"

Value in

  • "2024-04-01"

Response Body

application/json

curl -X GET "https://example.com/shipping-methods/" \  -H "X-29next-API-Version: 2024-04-01"
{  "next": "http://example.com",  "previous": "http://example.com",  "results": [    {      "code": "string",      "countries": [        {          "code": "string",          "name": "string"        }      ],      "delivery_time": "string",      "description": "string",      "id": 0,      "is_public": true,      "name": "string",      "prices": [        {          "currency": "strin",          "price_per_order": "string"        }      ]    }  ]}